【Android错误集锦】Could not resolve net.qiujuer.genius:kit-handler:latest.integration.

  1. 云栖社区>
  2. 博客>
  3. 正文

【Android错误集锦】Could not resolve net.qiujuer.genius:kit-handler:latest.integration.

awesome@qa 2018-01-07 11:18:44 浏览1405
展开阅读全文

Error:A problem occurred configuring project ':app'.
> Could not resolve all dependencies for configuration ':app:_debugApkCopy'.
   > Could not resolve net.qiujuer.genius:kit-reflect:latest.integration.
     Required by:
         project :app > net.qiujuer.common:okhttp:3.0.0
      > Could not resolve net.qiujuer.genius:kit-reflect:latest.integration.
         > Failed to list versions for net.qiujuer.genius:kit-reflect.
            > Unable to load Maven meta-data from https://jcenter.bintray.com/net/qiujuer/genius/kit-reflect/maven-metadata.xml.
               > Could not GET 'https://jcenter.bintray.com/net/qiujuer/genius/kit-reflect/maven-metadata.xml'.
                  > sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
   > Could not resolve net.qiujuer.genius:kit-handler:latest.integration.
     Required by:
         project :app > net.qiujuer.common:okhttp:3.0.0
      > Could not resolve net.qiujuer.genius:kit-handler:latest.integration.
         > Failed to list versions for net.qiujuer.genius:kit-handler.
            > Unable to load Maven meta-data from https://jcenter.bintray.com/net/qiujuer/genius/kit-handler/maven-metadata.xml.
               > Could not GET 'https://jcenter.bintray.com/net/qiujuer/genius/kit-handler/maven-metadata.xml'.
                  > sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target


解决方法:使用官方OKHTTP


    //网络请求依赖包
    //    compile 'net.qiujuer.common:okhttp:3.0.0'
    //    compile 'com.squareup.okio:okio:1.7.0'

    compile 'com.squareup.okhttp3:okhttp:3.2.0'
    compile 'com.google.code.gson:gson:2.7'
 


网友评论

登录后评论
0/500
评论
awesome@qa
+ 关注